// Copyright 2011 Joe Ferner <joe.ferner@nearinfinity.com>
#ifndef SRC_CONNECTION_H_
#define SRC_CONNECTION_H_

#include <sqlite3.h>
#include <string>
#include <sstream>
#include "./node-db/connection.h"
#include "./result.h"

namespace node_db_sqlite {
class Connection : public node_db::Connection {
    public:
        Connection();
        ~Connection();
        void setFilename(const std::string& filename) throw();
        void open() throw(node_db::Exception&);
        void close();
        std::string escape(const std::string& string) const throw(node_db::Exception&);
        std::string version() const;
        node_db::Result* query(const std::string& query) const throw(node_db::Exception&);

    protected:
        std::string filename;

    private:
        sqlite3* connection;
};
}

#endif  // SRC_CONNECTION_H_
